package com.huiju.welcome.controller;

import com.huiju.welcome.common.base.BaseController;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.model.TaGoods;
import com.huiju.welcome.service.ITaGoodsService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
    *  前端控制器
    * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
@RestController
@RequestMapping("/")
public class TaGoodsController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(TaGoodsController.class);

    @Autowired
    public ITaGoodsService iTaGoodsService;


    /**
     * 保存对象
     * @param taGoods 实体对象
     * @return
     */
    @RequestMapping(value="/taGoods/add",method= RequestMethod.POST)
    public ResponseBean tpShopImgAdd(@RequestBody TaGoods taGoods){
        ResponseBean responseBean = new ResponseBean();
        try {
            if (iTaGoodsService.save(taGoods)){
                responseBean.addSuccess("success");
            }else {
                responseBean.addError("fail");
            }
        }catch (Exception e){
            logger.error("taGoodsAdd -=- {}",e.toString());
            responseBean.addError(e.getMessage());
        }
        return responseBean;
    }

    /**
     * 根据id删除对象
     * @param id  实体ID
     */
    @ResponseBody
    @RequestMapping(value="/taGoods/delete/{id}", method= RequestMethod.DELETE)
    public ResponseBean taGoodsDelete(@PathVariable Integer id){
        ResponseBean responseBean = new ResponseBean();
        try {
            if(iTaGoodsService.removeById(id)){
                responseBean.addSuccess("success");
            }else {
                responseBean.addError("fail");
            }
        }catch (Exception e){
            logger.error("taGoodsDelete -=- {}",e.toString());
            responseBean.addError(e.getMessage());
        }
        return responseBean;
    }

    /**
     * 修改对象
     * @param taGoods 实体对象
     * @return
     */
    @RequestMapping(value="/taGoods/update",method= RequestMethod.PUT)
    public ResponseBean tpShopImgUpdate(@RequestBody TaGoods taGoods){
        ResponseBean responseBean = new ResponseBean();
        try {
            if (iTaGoodsService.updateById(taGoods)){
                responseBean.addSuccess("success");
            }else {
                responseBean.addError("fail");
            }
        }catch (Exception e){
            logger.error("taGoodsUpdate -=- {}",e.toString());
            responseBean.addError(e.getMessage());
        }
        return responseBean;
    }

    /**
     * 根据id查询对象
     * @param id  实体ID
     */
    @RequestMapping(value="/taGoods/get/{id}",method= RequestMethod.GET)
    public ResponseBean tpShopImgGet(@PathVariable Integer id){
        ResponseBean responseBean = new ResponseBean();
        try {
            responseBean.addSuccess(iTaGoodsService.getById(id));
        }catch (Exception e){
            logger.error("taGoodsDelete -=- {}",e.toString());
            responseBean.addError(e.getMessage());
        }
        return responseBean;
    }
}
